#
# spec file for package tui-journal
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2024 mantarimay
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           tui-journal
Version:        0.13.1
Release:        1.2
Summary:        Write and manage journals/notes from the terminal
License:        MIT
URL:            https://github.com/AmmarAbouZor/tui-journal
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  openssl-devel

%description
TUI-Journal is a terminal-based application written in Rust that allows
you to write and manage your journal/notes from within the comfort of your
terminal. It provides a simple and efficient interface for creating and
organizing your thoughts, ideas, and reflections. TUI-Journal supports two
different local back-ends: a plain text back-end in JSON format and a
database back-end using SQLite.

%prep
%autosetup -a1 -p1

%build
%{cargo_build}

%install
install -Dm755 target/release/tjournal -t %{buildroot}%{_bindir}

%if %{with test}
%check
%{cargo_test}
%endif

%files
%license LICEN*
%doc README*
%{_bindir}/tjournal

%changelog
* Sun Dec  8 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.13.1:
  * Added Config path via CLI & State Path configurable & Fix
    default state path
- Removed cargo_audit from _service due that contains vendor now
* Wed Dec  4 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 0.13.0:
  * Added: Smart Case for Filter & Fuzzy Finder
  * Changed: Update dependencies & Simplified versions
* Fri Sep 27 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.12.0:
  * Added Provide Configuration for entries datum visibility
  * Added Support Cycling Through Tags via Keybinding
* Sun Sep  8 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.11.0:
  * Removes MouseCapture
  * Added: Colored Tags
* Tue Sep  3 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.10.0:
  - Breaking Changes: Keybinding for fuzzy find has been moved from
    u to a and <Shift-f> to free up the key u which is used for
    undo & redo actions.
  - History Management: Provide Undo & Redo Functionalities.
* Fri Apr  5 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
